<template>
  <div class="subList">
    <li
      v-for="item in items"
      :key="item.name"
      class="subList__item"
      :class="
        $route.name?.includes('add') && item.name == 'Toevoegen'
          ? 'selected'
          : $route.name?.includes('Shedule') && item.name == 'Shedule'
          ? 'selected'
          : ''
      "
    >
      <router-link class="subList__link" :to="'/' + item.link">
        {{ item.name }}</router-link
      >
    </li>
  </div>
</template>

<script>
export default {
  data() {
    return {};
  },
  props: {
    items: {
      Type: Array,
    },
  },
  components: {},
  methods: {},
};
</script>

<style lang="scss">
.subList {
  color: white;
  font-size: 1.125rem;
  &__link {
    color: var(--light-gray);
    text-decoration: none;
    &:hover {
      color: var(--yellow);
    }
  }
}
.selected {
  color: var(--yellow);
}
</style>
